# Crow: crow::SessionMiddleware< Store > Struct Template Reference

crow::SessionMiddleware< Store > Struct Template Reference

## Classes

struct | context

## Public Types

using | lock = std::lock_guard< std::mutex >
using | rc_lock = std::lock_guard< std::recursive_mutex >

## Public Member Functions

template<typename... Ts>
| SessionMiddleware (CookieParser::Cookie cookie, int id_length, Ts... ts)
template<typename... Ts>
| SessionMiddleware (Ts... ts)
template<typename AllContext >
void | before_handle (request &, response &, context &ctx, AllContext &all_ctx)
template<typename AllContext >
void | after_handle (request &, response &, context &ctx, AllContext &all_ctx)

The documentation for this struct was generated from the following file:

- include/crow/middlewares/session.h